AWS
action RDS

# stop_db_instance

Stops a RDS DB instance

Run it now
View details

Type | action
Module | chaosaws.rds.actions
Name | stop_db_instance
Return | mapping

Usage

JSON

    {
      "name": "stop-db-instance",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.rds.actions",
        "func": "stop_db_instance",
        "arguments": {
          "db_instance_identifier": ""
        }
      }
    }

YAML

    name: stop-db-instance
    provider:
      arguments:
        db_instance_identifier: ""
      func: stop_db_instance
      module: chaosaws.rds.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
db_instance_identifier | string |  | Yes | DB Instance ID | Database instance identifier
db_snapshot_identifier | string | null | No | DN Snapshot ID | Database snapshot identifier

- db_instance_identifier: the instance identifier of the RDS instance
- db_snapshot_identifier: the name of the DB snapshot made before stop

Signature

    def stop_db_instance(
            db_instance_identifier: str,
            db_snapshot_identifier: str = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action RDS

  ## `delete_db_cluster`

  Deletes an Aurora DB cluster
- AWS
  action RDS

  ## `failover_db_cluster`

  Forces a failover for a DB cluster
- AWS
  action RDS

  ## `stop_db_cluster`

  Stop a RDS Cluster